summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-10-04 07:16:51 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-10-04 07:16:51 +0100
commitbf99f8024d68382f76665735c70ae912331bc2ca (patch)
tree6fa5830f88fa9ddb794b019c25b83a76ec410df4 /eclass
parentc1bd8495f43d1e8a084ac779db6e4623aaa8d6ad (diff)
gentoo auto-resync : 04:10:2022 - 07:16:51
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37301 -> 37304 bytes
-rw-r--r--eclass/xdg-utils.eclass5
2 files changed, 3 insertions, 2 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 1b9f11845eff..b178218d6839 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/xdg-utils.eclass b/eclass/xdg-utils.eclass
index ae2b71cd2495..9a58add23d36 100644
--- a/eclass/xdg-utils.eclass
+++ b/eclass/xdg-utils.eclass
@@ -1,4 +1,4 @@
-# Copyright 2004-2021 Gentoo Authors
+# Copyright 2004-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: xdg-utils.eclass
@@ -42,9 +42,10 @@ xdg_environment_reset() {
export XDG_DATA_HOME="${HOME}/.local/share"
export XDG_CONFIG_HOME="${HOME}/.config"
export XDG_CACHE_HOME="${HOME}/.cache"
+ export XDG_STATE_HOME="${HOME}/.local/state"
export XDG_RUNTIME_DIR="${T}/run"
mkdir -p "${XDG_DATA_HOME}" "${XDG_CONFIG_HOME}" "${XDG_CACHE_HOME}" \
- "${XDG_RUNTIME_DIR}" || die
+ "${XDG_STATE_HOME}" "${XDG_RUNTIME_DIR}" || die
# This directory needs to be owned by the user, and chmod 0700
# https://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
chmod 0700 "${XDG_RUNTIME_DIR}" || die